package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.CourseEntity;

public interface CourseRepo
		extends
			JpaRepository<CourseEntity, Long>,
			QueryByExampleExecutor<CourseEntity>,
			JpaSpecificationExecutor<CourseEntity> {

	List<CourseEntity> findByRootOrgId(Long rootOrgId);

	CourseEntity findByRootOrgIdAndCode(Long rootOrgId, String code);

	List<CourseEntity> findByIdNotIn(List<Long> ids);

	int countByRootOrgIdAndNameLike(Long rootOrgId, String name);

}
