package cn.com.qmth.examcloud.core.basic.service.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

/**
 * 验证码登陆信息
 */
public class VerifyCodeLoginInfo implements JsonSerializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("顶级机构ID")
    private Long rootOrgId;

    @ApiModelProperty("登陆账号类型")
    private String accountType;

    @ApiModelProperty("登陆账号")
    private String accountValue;

    @ApiModelProperty("登陆密码")
    private String password;

    @ApiModelProperty("验证码结果")
    private Integer verifyCode;

    @ApiModelProperty(value = "客户端IP", hidden = true)
    private String clientIp;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getAccountType() {
        return accountType;
    }

    public void setAccountType(String accountType) {
        this.accountType = accountType;
    }

    public String getAccountValue() {
        return accountValue;
    }

    public void setAccountValue(String accountValue) {
        this.accountValue = accountValue;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getVerifyCode() {
        return verifyCode;
    }

    public void setVerifyCode(Integer verifyCode) {
        this.verifyCode = verifyCode;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }
}
